package io.tswf.transmutations.expansion.exception

import groovy.transform.CompileStatic
import io.tswf.transmutations.expansion.meta.ExpansionMetadata

@CompileStatic
class InvalidExpansionClassException extends RuntimeException {
    ExpansionMetadata expansionMeta

    InvalidExpansionClassException(String message, ExpansionMetadata expansionMeta) {
        super("The expansion class ${expansionMeta.expansionClass.javaName} is invalid because ${message}")
        this.expansionMeta = expansionMeta
    }
}
