package io.tswf.transmutations.expansion.meta

import groovy.transform.CompileStatic
import io.tswf.groovy.bettergroovy.transforms.validation.checkedmapconstructor.CheckedMapConstructor
import org.objectweb.asm.Type
import org.objectweb.asm.tree.ClassNode

@CheckedMapConstructor
@CompileStatic
class ExpansionMetadata {
    ClassNode expansionClass
    List<ExpansionMethodMetadata> expansionMethodsMetadata = new ArrayList<>()
    Set<Type> targets = new HashSet<>()
    Collection<Type> interfacesToImplement = new HashSet<>()
}
