package io.tswf.transmutations.expansion.meta

import groovy.transform.CompileStatic
import io.tswf.groovy.bettergroovy.transforms.validation.checkedmapconstructor.CheckedMapConstructor
import io.tswf.transmutations.common.conflict.ConflictingMethodResolveStrategy
import io.tswf.transmutations.common.conflict.IConflictingMethodResolveStrategyProvider
import org.objectweb.asm.tree.MethodNode

@CheckedMapConstructor
@CompileStatic
class ExpansionMethodMetadata implements IConflictingMethodResolveStrategyProvider {
    ExpansionMetadata expansion
    MethodNode expansionMethod
    ConflictingMethodResolveStrategy conflictStrategy
}