package io.tswf.transmutations.expansion.reader.exclusion

import io.tswf.transmutations.expansion.meta.ExpansionMetadata
import org.objectweb.asm.Type
import org.objectweb.asm.tree.MethodNode

interface IExpansionCustomExclusion {
    default boolean isNeedsToExcludeInterface(ExpansionMetadata expansionMeta, Type interfaceType) { false }
    default boolean isNeedsToExcludeMethod(ExpansionMetadata expansionMeta, MethodNode expansionMethodCandidate) { false }
}