package io.tswf.transmutations.expansion.reader.exclusion

import com.google.auto.service.AutoService
import groovy.transform.CompileStatic
import io.tswf.transmutations.expansion.meta.ExpansionMetadata
import org.objectweb.asm.tree.MethodNode

@AutoService(IExpansionCustomExclusion)
@CompileStatic
class GeneratedCustomExclusion implements IExpansionCustomExclusion {

    @Override
    boolean isNeedsToExcludeMethod(ExpansionMetadata expansionMeta, MethodNode expansionMethodCandidate) {
        return expansionMethodCandidate.isMemberGenerated(expansionMeta.expansionClass)
    }
}
